View Issue Details

IDProjectCategoryView StatusLast Update
0000629SOGoWeb Mailpublic2010-07-06 15:49
ReporterjrabyAssigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.2.2 
Target Version1.3.0Fixed in Version1.3.0 
Summary0000629: Special caracters in folder name issues
Description

SOGo 1.2.2 with cyrus 2.3.16

If a user creates a folder with a special caracter in its name, (ex: L'amour des marmottes) The folder will be correctly created on the backend.
However, if the user copies a mail into that folder, a folder named "L" (whatever there is before the apostrophe) will be created and the mail will be copied there.

Furthermore, any operation on such folder will fail (rename, delete, petrify)

When selecting the faulty folder, the following is written in the log:
May 26 15:51:15 sogod: SOGo watchdog [22144]: [ERROR] <0x0x70e1270[NGImap4Connection]> could not select URL: imap://raby.jean@localhost/L%26apos%3Bamour%20des%20marmottes/: {RawResponse = "{ResponseResult = {description = \"Mailbox does not exist\"; result = no; tagId = 12; }; }"; reason = "Mailbox does not exist"; result = NO; }

I guess this is an encoding/escaping issue.

TagsNo tags attached.

Activities

francis

francis

2010-07-06 15:22

administrator   ~0001153

Fixed in revision 9d007ec918e081bd43a3d7944e72cdabbd06949f

Issue History

Date Modified Username Field Change
2010-05-26 15:52 jraby New Issue
2010-06-01 14:35 ludovic Target Version => 1.2.3
2010-06-11 15:06 wsourdeau Status new => assigned
2010-06-11 15:06 wsourdeau Assigned To => wsourdeau
2010-06-28 12:04 francis Assigned To wsourdeau => francis
2010-07-06 15:22 francis Note Added: 0001153
2010-07-06 15:49 francis Status assigned => resolved
2010-07-06 15:49 francis Fixed in Version => 1.3.0
2010-07-06 15:49 francis Resolution open => fixed